conversion errors with complex buffer parameters and definitions

02/26/2013 01:59 AM - Eric Faulhaber

Status: Closed Start date: 02/25/2013

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Conversion Support for Server Features   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 02/26/2013 02:08 AM - Eric Faulhaber

- File ecf_upd20130225d.zip added

- File ecf_upd20130225e.zip added

The following testcases produce buffers and fields with the incorrect schemaname annotation, such that downstream processing fails during

annotations.

def buffer per for book.

def buffer bb for per.

def buffer cc for bb.

def buffer dd for bb.

 

EFINE PARAM BUFFER old-book FOR book.

DEFINE PARAM BUFFER book FOR book.

PROCEDURE whatever:

  DEFINE PARAM BUFFER book FOR book.

  DEFINE OUTPUT PARAM op AS CHAR NO-UNDO.

  op = book.book-id.

END.

 

In both cases this was related to the SchemaDictionary not handling buffers (or buffer parameters) based on other buffers.  The attached update fixes

these cases.  It is undergoing conversion regression testing.
#2 - 02/26/2013 02:34 AM - Eric Faulhaber

- Status changed from WIP to Closed

- % Done changed from 0 to 100

The fix has passed conversion regression testing.  It is checked into bzr revision 10207.

#3 - 11/16/2016 10:56 AM - Greg Shah

- Target version changed from Milestone 4 to Conversion Support for Server Features

Files

ecf_upd20130225d.zip 37.5 KB 02/26/2013 Eric Faulhaber

ecf_upd20130225e.zip 779 Bytes 02/26/2013 Eric Faulhaber
